DefinitionBlock("", "SSDT", 2, "hack", "Properti", 0) // Properties High-Sierra-und-Mojave-auf-Dell-Latitude-E6330-E6X30-mit-Intel-Cor/
{
        External(_SB.PCI0.IGPU, DeviceObj) // Intel HD-Grafik 4000 low resolution
        External(_SB.PCI0.RP01.PXSX, DeviceObj) // Broadcom DELL DW1520 BCM943224HMS
        External(_SB.PCI0.HDEF, DeviceObj) // Audio IDT 92HD93BXX
        External(_SB.PCI0.XHC, DeviceObj) // USB 3
        External(_SB.PCI0.IMEI, DeviceObj) // 7 Series/C210 Series Chipset Family MEI Controller #1
        External(_SB.PCI0.LPCB, DeviceObj) // Panther Point LPC Controller
        External(_SB.PCI0.SBUS, DeviceObj) // Panther Point SMBus Controller
        External(_SB.PCI0.SAT0, DeviceObj) // Panther Point 6 port SATA AHCI Controller
        External(_SB.PCI0.EHC1, DeviceObj) // Panther Point USB Enhanced Host Controller #1
        External(_SB.PCI0.EHC2, DeviceObj) // Panther Point USB Enhanced Host Controller #2


        Scope(_SB.PCI0.IGPU) // Intel HD-Grafik 4000 low resolution
    {
        Method(_DSM, 4, NotSerialized)
        {
            If(LEqual(Arg2, Zero)) { Return(Buffer(){ 0x03 }) }
            Return(Package(){
			    "model", Buffer() { "Intel HD Graphics 4000" },
				"hda-gfx", Buffer() { "onboard-1" },
				"AAPL,ig-platform-id", Buffer() { 0x03, 0x00, 0x66, 0x01 },
                 "AAPL,slot-name", Buffer(){ "Built In" },
                "device_type", Buffer(){ "Graphik Controller" },
            })
        }
    }

    Scope(\_SB.PCI0.RP01.PXSX) // Broadcom BCM94352Z
    {
        Method(_DSM, 4, NotSerialized)
        {
            If(LEqual(Arg2, Zero)) { Return(Buffer(){ 0x03 }) }
            Return(Package(){
                "AAPL,slot-name", Buffer(){ "Mini PCIe (half)" },
                "name", Buffer(){ "AirPort Extreme" },
                "model", Buffer(){ "Broadcom DW1520 BCM943224HMS" },
                "device_type", Buffer(){ "AirPort" },
                "built-in", Buffer(){ 0x00 } })
        }
    }

    Scope(\_SB.PCI0.HDEF) // Audio IDT 92HD93BXX
    {
    Method(_DSM, 4, NotSerialized)
        {
            If(LEqual(Arg2, Zero)) { Return(Buffer(){ 0x03 }) }
            Return(Package(){
                "alc-layout-id", Buffer(){ 0x0C, 0x00, 0x00, 0x00 },
                "hda-gfx", Buffer(){ "onboard-1" },
                "model", Buffer(){ "IDT 92HD93BXX" },
                "name", Buffer(){ "C216 Chipset Family High Definition Audio Controller" },
                "AAPL,slot-name", Buffer(){ "Built In" },
                "device_type", Buffer(){ "High Definition Audio" },
            })
        }
    }

    Scope(\_SB.PCI0.XHC) // USB 3
    {
        Method(_DSM, 4, NotSerialized)
        {
            If(LEqual(Arg2, Zero)) { Return(Buffer(){ 0x03 }) }
            Return(Package(){
                "AAPL,slot-name", Buffer(){ "Built In" },
                "model", Buffer(){ "Panther Point USB xHCI Host Controller" },
                "name", Buffer(){ "7 Series/C210 Series Chipset Family USB xHCI Host Controller" },
                "built-in", Buffer(){ 0x00 } })
        }
    }

    Scope(\_SB.PCI0.IMEI) // Panther Point HECI Controller #1
    {
        Method(_DSM, 4, NotSerialized)
        {
            If(LEqual(Arg2, Zero)) { Return(Buffer(){}) }
            Return(Package(){
                "AAPL,slot-name", Buffer(){ "Built In" },
                "name", Buffer(){ "Panther Point HECI Controller #1" },
                "model", Buffer(){ "7 Series/C210 Series Chipset Family MEI Controller #1" },
            })
        }
    }


    Scope(\_SB.PCI0.LPCB) // Panther Point LPC Controller
    {
        Method(_DSM, 4, NotSerialized)
        {
            If(LEqual(Arg2, Zero)) { Return(Buffer(){}) }
            Return(Package(){
                "AAPL,slot-name", Buffer(){ "Built In" },
                "name", Buffer(){ "Panther Point LPC Controller" },
                "model", Buffer(){ "QM77 Express Chipset LPC Controller" },

            })
        }
    }


    Scope(_SB.PCI0.SBUS) // Panther Point SMBus Controller
    {
        Method(_DSM, 4, NotSerialized)
        {
            If(LEqual(Arg2, Zero)) { Return(Buffer(){}) }
            Return(Package(){
                "AAPL,slot-name", Buffer(){ "Built In" },
                "name", Buffer(){ "Panther Point SMBus Controller" },
                "model", Buffer(){ "7 Series/C210 Series Chipset Family SMBus Controller" },
                "device_type", Buffer(){ "SMBus" },
            })
        }
    }

    Scope(\_SB.PCI0.SAT0) // Panther Point 6 port SATA AHCI Controller
    {
        Method(_DSM, 4, NotSerialized)
        {
            If(LEqual(Arg2, Zero)) { Return(Buffer(){}) }
            Return(Package(){
                "AAPL,slot-name", Buffer(){ "Built In" },
                "name", Buffer(){ "Panther Point 6 port SATA AHCI Controller" },
                "model", Buffer(){ "7 Series Chipset Family 6-port SATA AHCI Controller" },
            })
        }
    }
    
    
     Scope(\_SB.PCI0.EHC1) // Panther Point USB Enhanced Host Controller #1
    {
        Method(_DSM, 4, NotSerialized)
        {
            If(LEqual(Arg2, Zero)) { Return(Buffer(){}) }
            Return(Package(){
                "AAPL,slot-name", Buffer(){ "Built In" },
                "name", Buffer(){ "Panther Point USB Enhanced Host Controller #1" },
                "model", Buffer(){ "7 Series Chipset Family USB Enhanced Host Controller #1" },
            })
        }
    }


    Scope(\_SB.PCI0.EHC2) // Panther Point USB Enhanced Host Controller #2
    {
        Method(_DSM, 4, NotSerialized)
        {
            If(LEqual(Arg2, Zero)) { Return(Buffer(){}) }
            Return(Package(){
                "AAPL,slot-name", Buffer(){ "Built In" },
                "name", Buffer(){ "Panther Point USB Enhanced Host Controller #2" },
                "model", Buffer(){ "7 Series Chipset Family USB Enhanced Host Controller #2" },
            })
        }
    }
  


}